Integrations
Store Slack config token
Save (or replace) the caller’s own Slack App Configuration token. With a refresh token it is validated + normalized by rotating once (durable, never expires); access-token-only is stored as-is with Slack’s ~12h lifetime and verified at install time. Forces the create modal into auto-install for this caller.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
orgId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/orgs/string/slack/config" \ -H "Content-Type: application/json" \ -d '{ "accessToken": "string" }'{ "configured": true, "durable": true, "funnelEnabled": true, "autoAvailable": true, "accessExpiresAt": "string", "relayAvailable": true, "relayPublicUrl": "string", "platformInstallAvailable": true, "updatedAt": "string"}